
Crafty.c("Lock", {
  init: function() {
  this.requires("2D, Canvas, Image, Mouse").image("images/lock.png");
 
  },
});


// create track1 
Crafty.c("BG11", {
    init: function() {
        this.requires("2D, Canvas, Image, Mouse").image("images/trackBg"+trackNo+"/gameBg11.png");
    },
});


Crafty.c("BG12", {
    init: function() {
        this.requires("2D, Canvas, Image, Mouse").image("images/trackBg"+trackNo+"/gameBg11.png");
    },
});


Crafty.c("BG13", {
    init: function() {
        this.requires("2D, Canvas, Image, Mouse").image("images/trackBg"+trackNo+"/gameBg11.png");
    },
});



//  create accelerator bar
Crafty.c("Bar1", {
    init: function() {
        this.requires("2D, Canvas, Image, Mouse").image("images/acc.png");
    },
});

//  create nos bar
Crafty.c("NosBar", {
    init: function() {
        this.requires("2D, Canvas, Image, Mouse").image("images/nos_bar.png");
    },
});




Crafty.c("EndLine", {
	init:function() {
		this.requires("2D, Canvas, Image, Mouse, Tween, Collision").image("images/endLine.png")
	},
});


Crafty.c("EndLine1", {
	init:function() {
		this.requires("2D, Canvas, Image, Mouse, Tween, Collision").image("images/endLineHover.png")
	},
});


